# MAUI Data Toolkit

## Tutorials

https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2025-04-16.m4v
https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2025-04-22.m4v
https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2025-05-09.m4v
https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2025-05-13+API-Tutorial.mp4
https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2024-05-13.m4v
https://s3.eu-central-1.amazonaws.com/monosnap.bugsmasher.online/marcoschmiedel/2025-06-03.m4v

## JupyterLab

To further develop or test this project use jupyter lab. Take care that "notebooks" are only concepts with your pc as python environment. Production code runs only inside the docker environment (stored in e.g. "commands" or "manager" folder).

```bash
jupyter lab
```

## Docker

Use Docker to build this package for a production environment.

```bash
docker build --platform linux/amd64 -t maui:latest .
```

```bash
docker run -it -v ./config:/maui/config -d --restart always -p 80:80 maui:latest
```

```bash
docker run -it \
  -v ./commands:/maui/commands \
  -v ./cache:/maui/cache \
  -v ./config:/maui/config \
  -v ./manager:/maui/manager \
  -v ./routes:/maui/routes \
  -v ./models:/maui/models \
  -p 80:80 \
  maui:latest \
  /bin/bash
```

## Sidekick Documentation

Use Sidekick for extended documentation and to maintain the data structure:

```bash
docker run -it --rm \
  -p 2000:8888 \
  -v .:/app/work \
  ceetrox/sidekick:latest
```
